Opened 5 years ago

Closed 5 years ago

#226 closed bug (worksforme)

MPICH2 Cygwin install failes

Reported by: Rolf Maier <maier@…> Owned by: jayesh
Priority: major Milestone: mpich2-1.1a2
Component: mpich Keywords:
Cc:

Description

Hello,
        I tried to install MPICH2 (mpich2-1.0.7, the current stable version) on
Cygwin:
$ uname -a
CYGWIN_NT-5.1 rolf 1.5.24(0.156/4/2) 2007-01-31 10:57 i686 Cygwin

which I did successfully about 3 years ago (with different versions), but this
time I got a build error.

The problem seems to be that at the end of mpid_type_debug.c it tries to apply a
cast MPI_DataType to nothing. I have added cleaned up typescripts of the
configure and build step.

Any hint/workaround would be appreciated.
Thanks for making all this work available,
        Rolf

PS I am not using mpich2-1.0.7-win32-ia32.msi because I don't have all the
Windows developer stuff.

Attachments (23)

t01.conf (76.1 KB) - added by Rolf Maier 5 years ago.
Added by email2trac
t02.build (82.4 KB) - added by Rolf Maier 5 years ago.
Added by email2trac
part0001.html (3.0 KB) - added by Jayesh Krishna 5 years ago.
Added by email2trac
c.txt (77.6 KB) - added by Rolf Maier 5 years ago.
Added by email2trac
m.txt (46.0 KB) - added by Rolf Maier 5 years ago.
Added by email2trac
part0001.2.html (8.7 KB) - added by Jayesh Krishna 5 years ago.
Added by email2trac
part0001.3.html (10.5 KB) - added by Jayesh Krishna 5 years ago.
Added by email2trac
part0001.4.html (13.1 KB) - added by Jayesh Krishna 5 years ago.
Added by email2trac
part0001.5.html (5.2 KB) - added by Jayesh Krishna 5 years ago.
Added by email2trac
c_bash.txt (77.2 KB) - added by Rolf Maier 5 years ago.
Added by email2trac
m_bash.txt (46.0 KB) - added by Rolf Maier 5 years ago.
Added by email2trac
part0001.6.html (11.3 KB) - added by Jayesh Krishna 5 years ago.
Added by email2trac
.bashrc (16.9 KB) - added by Rolf Maier 5 years ago.
Added by email2trac
.profile (16.5 KB) - added by Rolf Maier 5 years ago.
Added by email2trac
c_plain_bash.txt (77.8 KB) - added by Rolf Maier 5 years ago.
Added by email2trac
env_bash--norc--noprofile (5.4 KB) - added by Rolf Maier 5 years ago.
Added by email2trac
env_my_bash (5.4 KB) - added by Rolf Maier 5 years ago.
Added by email2trac
m_plain_bash.txt (48.0 KB) - added by Rolf Maier 5 years ago.
Added by email2trac
set_bash--norc--noprofile (6.0 KB) - added by Rolf Maier 5 years ago.
Added by email2trac
set_my_bash (16.2 KB) - added by Rolf Maier 5 years ago.
Added by email2trac
part0001.7.html (15.2 KB) - added by Jayesh Krishna 5 years ago.
Added by email2trac
part0001.8.html (18.8 KB) - added by Jayesh Krishna 5 years ago.
Added by email2trac
part0001.9.html (21.2 KB) - added by Jayesh Krishna 5 years ago.
Added by email2trac

Download all attachments as: .zip

Change History (32)

Changed 5 years ago by Rolf Maier

Added by email2trac

comment:1 Changed 5 years ago by Rolf Maier

  • id set to 226

This message has 2 attachment(s)

comment:2 Changed 5 years ago by Jayesh Krishna

 Hi,
  Can you try out 1.0.8rc1
(http://www.mcs.anl.gov/research/projects/mpich2/downloads/index.php?s=dow
nloads) ? If you still get an error please provide us with the output of
make.

Regards,
Jayesh

-----Original Message-----
From: owner-mpich2-bugs@mcs.anl.gov [mailto:owner-mpich2-bugs@mcs.anl.gov]
On Behalf Of mpich2
Sent: Wednesday, October 22, 2008 3:59 PM
To: undisclosed-recipients:
Subject: [mpich2-maint] #226: MPICH2 Cygwin install failes

--------------------------------------------+---------------------------
--------------------------------------------+----
 Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Type:  bug
   Status:  new                             |    Priority:  major
Milestone:                                  |   Component:  mpich2
--------------------------------------------+---------------------------
--------------------------------------------+----


 {{{

 Hello,
         I tried to install MPICH2 (mpich2-1.0.7, the current stable
 version) on
 Cygwin:
 $ uname -a
 CYGWIN_NT-5.1 rolf 1.5.24(0.156/4/2) 2007-01-31 10:57 i686 Cygwin

 which I did successfully about 3 years ago (with different versions), but
this  time I got a build error.

 The problem seems to be that at the end of mpid_type_debug.c it tries to
apply a  cast MPI_DataType to nothing. I have added cleaned up typescripts
of the  configure and build step.

 Any hint/workaround would be appreciated.
 Thanks for making all this work available,
         Rolf

 PS I am not using mpich2-1.0.7-win32-ia32.msi because I don't have all
the  Windows developer stuff.
 }}}


--
Ticket URL: <https://trac.mcs.anl.gov/projects/mpich2/ticket/226>

Changed 5 years ago by Jayesh Krishna

Added by email2trac

Changed 5 years ago by Rolf Maier

Added by email2trac

comment:3 Changed 5 years ago by Rolf Maier

Hi,
        I downloaded and configured mpich2-1.0.8rc1.tar.gz, and compiled as far
as I
could. I get the same error, for the same locations in the same file:

gcc ... -c mpid_type_debug.c
mpid_type_debug.c: In function `MPIDU_Datatype_builtin_to_string':
mpid_type_debug.c:364: error: parse error before ')' token
...
mpid_type_debug.c:374: error: parse error before ')' token

I have again attached the script files.
Thanks for your help,
        Rolf

mpich2 wrote:
> --------------------------------------------+-------------------------------
>  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>      Type:  bug                             |       Status:  new
>  Priority:  major                           |    Milestone:
> Component:  mpich2                          |   Resolution:
>  Keywords:                                  |
> --------------------------------------------+-------------------------------
>
>
> Comment (by Jayesh Krishna):
>
>  {{{
>
>   Hi,
>    Can you try out 1.0.8rc1
>  (http://www.mcs.anl.gov/research/projects/mpich2/downloads/index.php?s=dow
>  nloads) ? If you still get an error please provide us with the output of
>  make.
>
>  Regards,
>  Jayesh
>
>  -----Original Message-----
>  From: owner-mpich2-bugs@mcs.anl.gov [mailto:owner-mpich2-bugs@mcs.anl.gov]
>  On Behalf Of mpich2
>  Sent: Wednesday, October 22, 2008 3:59 PM
>  To: undisclosed-recipients:
>  Subject: [mpich2-maint] #226: MPICH2 Cygwin install failes
>
>  --------------------------------------------+---------------------------
>  --------------------------------------------+----
>   Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Type:  bug
>     Status:  new                             |    Priority:  major
>  Milestone:                                  |   Component:  mpich2
>  --------------------------------------------+---------------------------
>  --------------------------------------------+----
>
>
>   {{{
>
>   Hello,
>           I tried to install MPICH2 (mpich2-1.0.7, the current stable
>   version) on
>   Cygwin:
>   $ uname -a
>   CYGWIN_NT-5.1 rolf 1.5.24(0.156/4/2) 2007-01-31 10:57 i686 Cygwin
>
>   which I did successfully about 3 years ago (with different versions), but
>  this  time I got a build error.
>
>   The problem seems to be that at the end of mpid_type_debug.c it tries to
>  apply a  cast MPI_DataType to nothing. I have added cleaned up typescripts
>  of the  configure and build step.
>
>   Any hint/workaround would be appreciated.
>   Thanks for making all this work available,
>           Rolf
>
>   PS I am not using mpich2-1.0.7-win32-ia32.msi because I don't have all
>  the  Windows developer stuff.
>   }}}
>
>
>  --
>  Ticket URL: <https://trac.mcs.anl.gov/projects/mpich2/ticket/226>
>
>  }}}
>

comment:4 Changed 5 years ago by Jayesh Krishna

 Hi,
  Looks like your configure failed. What is the shell that you are using
(echo $0) ? Does the problem happen with the default shell (bash) or tcsh
?

=========== configure.log ============
...
180     ./configure: line 25562: test: 8
181     : integer expression expected
182     expr: non-numeric argument
183     ./configure: line 25596: test: : integer expression expected
184     ./configure: line 25603: test: -gt: unary operator expected
185     ./configure: line 25617: test: -lt: unary operator expected
186     expr: non-numeric argument
187     ./configure: line 25648: test: -ge: unary operator expected
188     expr: syntax error
189     expr: syntax error
...
=========== configure.log ============

Regards,
Jayesh

-----Original Message-----
From: owner-mpich2-bugs@mcs.anl.gov [mailto:owner-mpich2-bugs@mcs.anl.gov]
On Behalf Of mpich2
Sent: Wednesday, October 22, 2008 5:01 PM
To: undisclosed-recipients:
Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes

--------------------------------------------+---------------------------
--------------------------------------------+----
 Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
     Type:  bug                             |       Status:  new
 Priority:  major                           |    Milestone:
Component:  mpich2                          |   Resolution:
 Keywords:                                  |
--------------------------------------------+---------------------------
--------------------------------------------+----


Comment (by Rolf Maier):

 {{{

 Hi,
         I downloaded and configured mpich2-1.0.8rc1.tar.gz, and compiled
as far  as I  could. I get the same error, for the same locations in the
same file:

 gcc ... -c mpid_type_debug.c
 mpid_type_debug.c: In function `MPIDU_Datatype_builtin_to_string':
 mpid_type_debug.c:364: error: parse error before ')' token  ...
 mpid_type_debug.c:374: error: parse error before ')' token

 I have again attached the script files.
 Thanks for your help,
         Rolf

 mpich2 wrote:
 >

--------------------------------------------+-----------------------------
--
 >  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
 >      Type:  bug                             |       Status:  new
 >  Priority:  major                           |    Milestone:
 > Component:  mpich2                          |   Resolution:
 >  Keywords:                                  |
 >

--------------------------------------------+-----------------------------
--
 >
 >
 > Comment (by Jayesh Krishna):
 >
 >  {{{
 >
 >   Hi,
 >    Can you try out 1.0.8rc1
 >

(http://www.mcs.anl.gov/research/projects/mpich2/downloads/index.php?s=dow
 >  nloads) ? If you still get an error please provide us with the output
of  >  make.
 >
 >  Regards,
 >  Jayesh
 >
 >  -----Original Message-----
 >  From: owner-mpich2-bugs@mcs.anl.gov [mailto:owner-
mpich2-bugs@mcs.anl.gov]  >  On Behalf Of mpich2  >  Sent: Wednesday,
October 22, 2008 3:59 PM  >  To: undisclosed-recipients:
 >  Subject: [mpich2-maint] #226: MPICH2 Cygwin install failes  >  >
 --------------------------------------------+---------------------------
 >  --------------------------------------------+----
 >   Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Type:  bug
 >     Status:  new                             |    Priority:  major
 >  Milestone:                                  |   Component:  mpich2
 >
 --------------------------------------------+---------------------------
 >  --------------------------------------------+----
 >
 >
 >   {{{
 >
 >   Hello,
 >           I tried to install MPICH2 (mpich2-1.0.7, the current stable
 >   version) on
 >   Cygwin:
 >   $ uname -a
 >   CYGWIN_NT-5.1 rolf 1.5.24(0.156/4/2) 2007-01-31 10:57 i686 Cygwin
 >
 >   which I did successfully about 3 years ago (with different versions),
 but
 >  this  time I got a build error.
 >
 >   The problem seems to be that at the end of mpid_type_debug.c it tries
 to
 >  apply a  cast MPI_DataType to nothing. I have added cleaned up
typescripts  >  of the  configure and build step.
 >
 >   Any hint/workaround would be appreciated.
 >   Thanks for making all this work available,
 >           Rolf
 >
 >   PS I am not using mpich2-1.0.7-win32-ia32.msi because I don't have
all
 >  the  Windows developer stuff.
 >   }}}
 >
 >
 >  --
 >  Ticket URL: <https://trac.mcs.anl.gov/projects/mpich2/ticket/226>
 >
 >  }}}
 >
 }}}

--
Ticket URL: <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>

Changed 5 years ago by Jayesh Krishna

Added by email2trac

Changed 5 years ago by Jayesh Krishna

Added by email2trac

comment:5 Changed 5 years ago by Jayesh Krishna

 Hi,
  What is the version of autoconf on your system (autoconf --version) ?
You need autoconf version 2.62 for MPICH2 1.0.8rc1 .

Regards,
Jayesh

-----Original Message-----
From: Rolf Maier [mailto:maier@ucalgary.ca]
Sent: Wednesday, October 22, 2008 5:51 PM
To: Jayesh Krishna
Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes

Hi,
        my working shell is bash:
$ echo $SHELL
/bin/bash
The configure command I started was
./configure --prefix=/usr/local/stow/MPICH2/mpich2-1.0.8rc1_install 2>&1 |
tee c.tx
  (I am working in /h/home/Downloads/mpich2-1.0.8rc1 but want the output
someplace from where I can stow w/o removing directories used for the
build.) Regards,
        Rolf

Jayesh Krishna wrote:
>  Hi,
>   Looks like your configure failed. What is the shell that you are
> using (echo $0) ? Does the problem happen with the default shell (bash)
or tcsh ?
>
> =========== configure.log ============ ...
> 180     ./configure: line 25562: test: 8
> 181     : integer expression expected
> 182     expr: non-numeric argument
> 183     ./configure: line 25596: test: : integer expression expected
> 184     ./configure: line 25603: test: -gt: unary operator expected
> 185     ./configure: line 25617: test: -lt: unary operator expected
> 186     expr: non-numeric argument
> 187     ./configure: line 25648: test: -ge: unary operator expected
> 188     expr: syntax error
> 189     expr: syntax error
> ...
> =========== configure.log ============
>
> Regards,
> Jayesh
>
> -----Original Message-----
> From: owner-mpich2-bugs@mcs.anl.gov
> [mailto:owner-mpich2-bugs@mcs.anl.gov] On Behalf Of mpich2
> Sent: Wednesday, October 22, 2008 5:01 PM
> To: undisclosed-recipients:
> Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes
>
> --------------------------------------------+-------------------------
> --------------------------------------------+--
> --------------------------------------------+----
>  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>      Type:  bug                             |       Status:  new
>  Priority:  major                           |    Milestone:
> Component:  mpich2                          |   Resolution:
>  Keywords:                                  |
> --------------------------------------------+-------------------------
> --------------------------------------------+--
> --------------------------------------------+----
>
>
> Comment (by Rolf Maier):
>
>  {{{
>
>  Hi,
>          I downloaded and configured mpich2-1.0.8rc1.tar.gz, and
> compiled  as far  as I  could. I get the same error, for the same
> locations in the same file:
>
>  gcc ... -c mpid_type_debug.c
>  mpid_type_debug.c: In function `MPIDU_Datatype_builtin_to_string':
>  mpid_type_debug.c:364: error: parse error before ')' token  ...
>  mpid_type_debug.c:374: error: parse error before ')' token
>
>  I have again attached the script files.
>  Thanks for your help,
>          Rolf
>
>  mpich2 wrote:
>  >
>
--------------------------------------------+-----------------------------
--
>  >  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>  >      Type:  bug                             |       Status:  new
>  >  Priority:  major                           |    Milestone:
>  > Component:  mpich2                          |   Resolution:
>  >  Keywords:                                  |
>  >
>
> --------------------------------------------+-------------------------
> ------
>  >
>  >
>  > Comment (by Jayesh Krishna):
>  >
>  >  {{{
>  >
>  >   Hi,
>  >    Can you try out 1.0.8rc1
>  >
>
> (http://www.mcs.anl.gov/research/projects/mpich2/downloads/index.php?s
> =dow  >  nloads) ? If you still get an error please provide us with
> the output  of  >  make.
>  >
>  >  Regards,
>  >  Jayesh
>  >
>  >  -----Original Message-----
>  >  From: owner-mpich2-bugs@mcs.anl.gov [mailto:owner-
> mpich2-bugs@mcs.anl.gov]  >  On Behalf Of mpich2  >  Sent: Wednesday,
> October 22, 2008 3:59 PM  >  To: undisclosed-recipients:
>  >  Subject: [mpich2-maint] #226: MPICH2 Cygwin install failes  >  >
>
> --------------------------------------------+-------------------------
> --  >  --------------------------------------------+----
>  >   Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Type:  bug
>  >     Status:  new                             |    Priority:  major
>  >  Milestone:                                  |   Component:  mpich2
>  >
>
> --------------------------------------------+-------------------------
> --  >  --------------------------------------------+----
>  >
>  >
>  >   {{{
>  >
>  >   Hello,
>  >           I tried to install MPICH2 (mpich2-1.0.7, the current stable
>  >   version) on
>  >   Cygwin:
>  >   $ uname -a
>  >   CYGWIN_NT-5.1 rolf 1.5.24(0.156/4/2) 2007-01-31 10:57 i686 Cygwin
>  >
>  >   which I did successfully about 3 years ago (with different
versions),
>  but
>  >  this  time I got a build error.
>  >
>  >   The problem seems to be that at the end of mpid_type_debug.c it
tries
>  to
>  >  apply a  cast MPI_DataType to nothing. I have added cleaned up
> typescripts  >  of the  configure and build step.
>  >
>  >   Any hint/workaround would be appreciated.
>  >   Thanks for making all this work available,
>  >           Rolf
>  >
>  >   PS I am not using mpich2-1.0.7-win32-ia32.msi because I don't have
all
>  >  the  Windows developer stuff.
>  >   }}}
>  >
>  >
>  >  --
>  >  Ticket URL: <https://trac.mcs.anl.gov/projects/mpich2/ticket/226>
>  >
>  >  }}}
>  >
>  }}}
>
> --
> Ticket URL:
> <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
>

Changed 5 years ago by Jayesh Krishna

Added by email2trac

comment:6 Changed 5 years ago by Jayesh Krishna

Hi,
 I spoke too soon. Since you are just running configure and not creating
configure from configure.in you don't need autoconf. I am checking with
other devs here to see what they have to say.

Regards,
Jayesh

-----Original Message-----
From: Rolf Maier [mailto:maier@ucalgary.ca]
Sent: Thursday, October 23, 2008 12:06 PM
To: Jayesh Krishna
Cc: Rolf Maier
Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes

Hi,
        this is odd, but I don't have any autoconf:
$ autoconf -v
bash: autoconf: command not found

However, I do have autoreconf about which the manual says:

autoreconf - Update generated configuration files

Thanks or keeping it up,
        Rolf

Jayesh Krishna wrote:
>  Hi,
>   What is the version of autoconf on your system (autoconf --version) ?
> You need autoconf version 2.62 for MPICH2 1.0.8rc1 .
>
> Regards,
> Jayesh
>
> -----Original Message-----
> From: Rolf Maier [mailto:maier@ucalgary.ca]
> Sent: Wednesday, October 22, 2008 5:51 PM
> To: Jayesh Krishna
> Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes
>
> Hi,
>         my working shell is bash:
> $ echo $SHELL
> /bin/bash
> The configure command I started was
> ./configure --prefix=/usr/local/stow/MPICH2/mpich2-1.0.8rc1_install
> 2>&1
> | tee c.tx
>   (I am working in /h/home/Downloads/mpich2-1.0.8rc1 but want the
> output someplace from where I can stow w/o removing directories used
> for the
> build.) Regards,
>         Rolf
>
> Jayesh Krishna wrote:
>  >  Hi,
>  >   Looks like your configure failed. What is the shell that you are
>  > using (echo $0) ? Does the problem happen with the default shell
> (bash) or tcsh ?
>  >
>  > =========== configure.log ============ ...
>  > 180     ./configure: line 25562: test: 8
>  > 181     : integer expression expected
>  > 182     expr: non-numeric argument
>  > 183     ./configure: line 25596: test: : integer expression expected
>  > 184     ./configure: line 25603: test: -gt: unary operator expected
>  > 185     ./configure: line 25617: test: -lt: unary operator expected
>  > 186     expr: non-numeric argument
>  > 187     ./configure: line 25648: test: -ge: unary operator expected
>  > 188     expr: syntax error
>  > 189     expr: syntax error
>  > ...
>  > =========== configure.log ============  >  > Regards,  > Jayesh  >
> > -----Original Message-----  > From: owner-mpich2-bugs@mcs.anl.gov  >
> [mailto:owner-mpich2-bugs@mcs.anl.gov] On Behalf Of mpich2  > Sent:
> Wednesday, October 22, 2008 5:01 PM  > To: undisclosed-recipients:
>  > Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes  >
> >
> --------------------------------------------+-------------------------
>  > --------------------------------------------+--
>  > --------------------------------------------+----
>  >  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>  >      Type:  bug                             |       Status:  new
>  >  Priority:  major                           |    Milestone:
>  > Component:  mpich2                          |   Resolution:
>  >  Keywords:                                  |
>  >
> --------------------------------------------+-------------------------
>  > --------------------------------------------+--
>  > --------------------------------------------+----
>  >
>  >
>  > Comment (by Rolf Maier):
>  >
>  >  {{{
>  >
>  >  Hi,
>  >          I downloaded and configured mpich2-1.0.8rc1.tar.gz, and
>  > compiled  as far  as I  could. I get the same error, for the same
> > locations in the same file:
>  >
>  >  gcc ... -c mpid_type_debug.c
>  >  mpid_type_debug.c: In function `MPIDU_Datatype_builtin_to_string':
>  >  mpid_type_debug.c:364: error: parse error before ')' token  ...
>  >  mpid_type_debug.c:374: error: parse error before ')' token  >  >
> I have again attached the script files.
>  >  Thanks for your help,
>  >          Rolf
>  >
>  >  mpich2 wrote:
>  >  >
>  >
> --------------------------------------------+-------------------------
> --------------------------------------------+------
>  >  >  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>  >  >      Type:  bug                             |       Status:  new
>  >  >  Priority:  major                           |    Milestone:
>  >  > Component:  mpich2                          |   Resolution:
>  >  >  Keywords:                                  |
>  >  >
>  >
>  >
> --------------------------------------------+-------------------------
>  > ------
>  >  >
>  >  >
>  >  > Comment (by Jayesh Krishna):
>  >  >
>  >  >  {{{
>  >  >
>  >  >   Hi,
>  >  >    Can you try out 1.0.8rc1
>  >  >
>  >
>  >
> (http://www.mcs.anl.gov/research/projects/mpich2/downloads/index.php?s
>  > =dow  >  nloads) ? If you still get an error please provide us with
> > the output  of  >  make.
>  >  >
>  >  >  Regards,
>  >  >  Jayesh
>  >  >
>  >  >  -----Original Message-----
>  >  >  From: owner-mpich2-bugs@mcs.anl.gov [mailto:owner-  >
> mpich2-bugs@mcs.anl.gov]  >  On Behalf Of mpich2  >  Sent: Wednesday,
> > October 22, 2008 3:59 PM  >  To: undisclosed-recipients:
>  >  >  Subject: [mpich2-maint] #226: MPICH2 Cygwin install failes  >
> >  >  >
> --------------------------------------------+-------------------------
>  > --  >  --------------------------------------------+----
>  >  >   Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Type:  bug
>  >  >     Status:  new                             |    Priority:  major
>  >  >  Milestone:                                  |   Component:
mpich2
>  >  >
>  >
>  >
> --------------------------------------------+-------------------------
>  > --  >  --------------------------------------------+----
>  >  >
>  >  >
>  >  >   {{{
>  >  >
>  >  >   Hello,
>  >  >           I tried to install MPICH2 (mpich2-1.0.7, the current
stable
>  >  >   version) on
>  >  >   Cygwin:
>  >  >   $ uname -a
>  >  >   CYGWIN_NT-5.1 rolf 1.5.24(0.156/4/2) 2007-01-31 10:57 i686
Cygwin
>  >  >
>  >  >   which I did successfully about 3 years ago (with different
> versions),
>  >  but
>  >  >  this  time I got a build error.
>  >  >
>  >  >   The problem seems to be that at the end of mpid_type_debug.c it
> tries
>  >  to
>  >  >  apply a  cast MPI_DataType to nothing. I have added cleaned up
> > typescripts  >  of the  configure and build step.
>  >  >
>  >  >   Any hint/workaround would be appreciated.
>  >  >   Thanks for making all this work available,
>  >  >           Rolf
>  >  >
>  >  >   PS I am not using mpich2-1.0.7-win32-ia32.msi because I don't
> have all
>  >  >  the  Windows developer stuff.
>  >  >   }}}
>  >  >
>  >  >
>  >  >  --
>  >  >  Ticket URL:
> <https://trac.mcs.anl.gov/projects/mpich2/ticket/226>
>  >  >
>  >  >  }}}
>  >  >
>  >  }}}
>  >
>  > --
>  > Ticket URL:
>  > <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
>  >
>

comment:7 Changed 5 years ago by Anthony Chan

Look like your fortran compiler failed some of the configure tests.
Could you send us your configure and make outputs as shown on
your screen (as stated in MPICH2 installer's guide) ?   I think
it will be helpful if you also send us the config.log (the one
generated by configure, not the output seen on your screen).

A.Chan
----- "mpich2" <mpich2-maint@mcs.anl.gov> wrote:

> --------------------------------------------+-------------------------------
>  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>      Type:  bug                             |       Status:  new
>  Priority:  major                           |    Milestone:
> Component:  mpich2                          |   Resolution:
>  Keywords:                                  |
> --------------------------------------------+-------------------------------
>
>
> Comment (by Jayesh Krishna):
>
>  {{{
>
>   Hi,
>    Looks like your configure failed. What is the shell that you are
> using
>  (echo $0) ? Does the problem happen with the default shell (bash) or
> tcsh
>  ?
>
>  =========== configure.log ============
>  ...
>  180     ./configure: line 25562: test: 8
>  181     : integer expression expected
>  182     expr: non-numeric argument
>  183     ./configure: line 25596: test: : integer expression expected
>  184     ./configure: line 25603: test: -gt: unary operator expected
>  185     ./configure: line 25617: test: -lt: unary operator expected
>  186     expr: non-numeric argument
>  187     ./configure: line 25648: test: -ge: unary operator expected
>  188     expr: syntax error
>  189     expr: syntax error
>  ...
>  =========== configure.log ============
>
>  Regards,
>  Jayesh
>
>  -----Original Message-----
>  From: owner-mpich2-bugs@mcs.anl.gov
> [mailto:owner-mpich2-bugs@mcs.anl.gov]
>  On Behalf Of mpich2
>  Sent: Wednesday, October 22, 2008 5:01 PM
>  To: undisclosed-recipients:
>  Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes
>
>
> --------------------------------------------+---------------------------
>  --------------------------------------------+----
>   Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>       Type:  bug                             |       Status:  new
>   Priority:  major                           |    Milestone:
>  Component:  mpich2                          |   Resolution:
>   Keywords:                                  |
>
> --------------------------------------------+---------------------------
>  --------------------------------------------+----
>
>
>  Comment (by Rolf Maier):
>
>   {{{
>
>   Hi,
>           I downloaded and configured mpich2-1.0.8rc1.tar.gz, and
> compiled
>  as far  as I  could. I get the same error, for the same locations in
> the
>  same file:
>
>   gcc ... -c mpid_type_debug.c
>   mpid_type_debug.c: In function `MPIDU_Datatype_builtin_to_string':
>   mpid_type_debug.c:364: error: parse error before ')' token  ...
>   mpid_type_debug.c:374: error: parse error before ')' token
>
>   I have again attached the script files.
>   Thanks for your help,
>           Rolf
>
>   mpich2 wrote:
>   >
>
>
> --------------------------------------------+-----------------------------
>  --
>   >  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>   >      Type:  bug                             |       Status:  new
>   >  Priority:  major                           |    Milestone:
>   > Component:  mpich2                          |   Resolution:
>   >  Keywords:                                  |
>   >
>
>
> --------------------------------------------+-----------------------------
>  --
>   >
>   >
>   > Comment (by Jayesh Krishna):
>   >
>   >  {{{
>   >
>   >   Hi,
>   >    Can you try out 1.0.8rc1
>   >
>
>
> (http://www.mcs.anl.gov/research/projects/mpich2/downloads/index.php?s=dow
>   >  nloads) ? If you still get an error please provide us with the
> output
>  of  >  make.
>   >
>   >  Regards,
>   >  Jayesh
>   >
>   >  -----Original Message-----
>   >  From: owner-mpich2-bugs@mcs.anl.gov [mailto:owner-
>  mpich2-bugs@mcs.anl.gov]  >  On Behalf Of mpich2  >  Sent:
> Wednesday,
>  October 22, 2008 3:59 PM  >  To: undisclosed-recipients:
>   >  Subject: [mpich2-maint] #226: MPICH2 Cygwin install failes  >  >
>
> --------------------------------------------+---------------------------
>   >  --------------------------------------------+----
>   >   Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Type:  bug
>   >     Status:  new                             |    Priority:
> major
>   >  Milestone:                                  |   Component:
> mpich2
>   >
>
> --------------------------------------------+---------------------------
>   >  --------------------------------------------+----
>   >
>   >
>   >   {{{
>   >
>   >   Hello,
>   >           I tried to install MPICH2 (mpich2-1.0.7, the current
> stable
>   >   version) on
>   >   Cygwin:
>   >   $ uname -a
>   >   CYGWIN_NT-5.1 rolf 1.5.24(0.156/4/2) 2007-01-31 10:57 i686
> Cygwin
>   >
>   >   which I did successfully about 3 years ago (with different
> versions),
>   but
>   >  this  time I got a build error.
>   >
>   >   The problem seems to be that at the end of mpid_type_debug.c it
> tries
>   to
>   >  apply a  cast MPI_DataType to nothing. I have added cleaned up
>  typescripts  >  of the  configure and build step.
>   >
>   >   Any hint/workaround would be appreciated.
>   >   Thanks for making all this work available,
>   >           Rolf
>   >
>   >   PS I am not using mpich2-1.0.7-win32-ia32.msi because I don't
> have
>  all
>   >  the  Windows developer stuff.
>   >   }}}
>   >
>   >
>   >  --
>   >  Ticket URL:
> <https://trac.mcs.anl.gov/projects/mpich2/ticket/226>
>   >
>   >  }}}
>   >
>   }}}
>
>  --
>  Ticket URL:
> <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
>
>  }}}
>
> --
> Ticket URL:
> <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>

comment:8 Changed 5 years ago by Rajeev Thakur

If you don't need to use Fortran, you can configure with --disable-f77.

Rajeev


>  Look like your fortran compiler failed some of the configure tests.
>  Could you send us your configure and make outputs as shown on
>  your screen (as stated in MPICH2 installer's guide) ?   I think
>  it will be helpful if you also send us the config.log (the
> one  generated by configure, not the output seen on your screen).
>
>  A.Chan

Changed 5 years ago by Jayesh Krishna

Added by email2trac

comment:9 Changed 5 years ago by Jayesh Krishna

Hi,
 Can you also update the configure (for MPICH2 1.0.8rc1) by adding line
"echo "$len" | xxd" as shown below before you run it?

============================= modified configure script for 1.0.8rc1
====================
  25484     #
  25485     # Take len and turn it into two hex digits (there are 8 bits
available
  25486     # in the built-in datatype handle for the length; see
  25487     # src/mpid/common/datatype/mpid_datatype.h).  This code is
taken
  25488     # from the code in mpich2/configure.in
####################### ADD THIS LINE #######################
  25489     echo "$len" | xxd
####################### ADD THIS LINE #######################
  25490     if test "$len" -gt 255 ; then
  25491         { { $as_echo "$as_me:$LINENO: error: Type sizes greater
than 255 bytes are not supported (type INTEGER i
s $len bytes)" >&5
  25492 $as_echo "$as_me: error: Type sizes greater than 255 bytes are not
supported (type INTEGER is $len bytes)" >&2;}
  25493    { (exit 1); exit 1; }; }
  25494     fi
  25495     tmplen=$len
  25496     hexlen=""
  25497     while test $tmplen -gt 0 ; do
  25498         lowdigit=`expr $tmplen - 16 \* \( $tmplen / 16 \)`
  25499         case $lowdigit in
  25500         10) char=a ;;
  25501         11) char=b ;;
  25502         12) char=c ;;
  25503         13) char=d ;;
  25504         14) char=e ;;
  25505         15) char=f ;;

============================= modified configure script for 1.0.8rc1
====================

Regards,
Jayesh

-----Original Message-----
From: owner-mpich2-bugs@mcs.anl.gov [mailto:owner-mpich2-bugs@mcs.anl.gov]
On Behalf Of mpich2
Sent: Thursday, October 23, 2008 1:06 PM
To: undisclosed-recipients:
Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes

--------------------------------------------+---------------------------
--------------------------------------------+----
 Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
     Type:  bug                             |       Status:  new
 Priority:  major                           |    Milestone:
Component:  mpich2                          |   Resolution:
 Keywords:                                  |
--------------------------------------------+---------------------------
--------------------------------------------+----


Comment (by Rajeev Thakur):

 {{{

 If you don't need to use Fortran, you can configure with --disable-f77.

 Rajeev


 >  Look like your fortran compiler failed some of the configure tests.
 >  Could you send us your configure and make outputs as shown on
 >  your screen (as stated in MPICH2 installer's guide) ?   I think
 >  it will be helpful if you also send us the config.log (the  > one
generated by configure, not the output seen on your screen).
 >
 >  A.Chan

 }}}

--
Ticket URL: <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>

comment:10 Changed 5 years ago by balaji

  • Owner set to jayesh

comment:11 Changed 5 years ago by balaji

  • Milestone set to mpich2-1.1a2

Changed 5 years ago by Rolf Maier

Added by email2trac

comment:12 Changed 5 years ago by Rolf Maier

Hello,
        first, sorry for being so tardy at answering, but I get too many
interruptions.
Here is what I did:
1. Following Jayesh Krishna request I added the line
        echo "$len" | xxd
as line 25489 of the configure script.

2. I realized that different runs of make produce output files of quite
different length, so I reextracted, and reintroduced fix 1. I am running under a
bash shell, and I am enclosing the output of the configure and make step as
requested by Anthony Chan.

Thanks for everybody's chipping in,
        Rolf


mpich2 wrote:
> --------------------------------------------+-------------------------------
>  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>      Type:  bug                             |       Status:  new
>  Priority:  major                           |    Milestone:
> Component:  mpich2                          |   Resolution:
>  Keywords:                                  |
> --------------------------------------------+-------------------------------
>
>
> Comment (by Jayesh Krishna):
>
>  {{{
>
>  Hi,
>   Can you also update the configure (for MPICH2 1.0.8rc1) by adding line
>  "echo "$len" | xxd" as shown below before you run it?
>
>  ============================= modified configure script for 1.0.8rc1
>  ====================
>    25484     #
>    25485     # Take len and turn it into two hex digits (there are 8 bits
>  available
>    25486     # in the built-in datatype handle for the length; see
>    25487     # src/mpid/common/datatype/mpid_datatype.h).  This code is
>  taken
>    25488     # from the code in mpich2/configure.in
>  ####################### ADD THIS LINE #######################
>    25489     echo "$len" | xxd
>  ####################### ADD THIS LINE #######################
>    25490     if test "$len" -gt 255 ; then
>    25491         { { $as_echo "$as_me:$LINENO: error: Type sizes greater
>  than 255 bytes are not supported (type INTEGER i
>  s $len bytes)" >&5
>    25492 $as_echo "$as_me: error: Type sizes greater than 255 bytes are not
>  supported (type INTEGER is $len bytes)" >&2;}
>    25493    { (exit 1); exit 1; }; }
>    25494     fi
>    25495     tmplen=$len
>    25496     hexlen=""
>    25497     while test $tmplen -gt 0 ; do
>    25498         lowdigit=`expr $tmplen - 16 \* \( $tmplen / 16 \)`
>    25499         case $lowdigit in
>    25500         10) char=a ;;
>    25501         11) char=b ;;
>    25502         12) char=c ;;
>    25503         13) char=d ;;
>    25504         14) char=e ;;
>    25505         15) char=f ;;
>
>  ============================= modified configure script for 1.0.8rc1
>  ====================
>
>  Regards,
>  Jayesh
>
>  -----Original Message-----
>  From: owner-mpich2-bugs@mcs.anl.gov [mailto:owner-mpich2-bugs@mcs.anl.gov]
>  On Behalf Of mpich2
>  Sent: Thursday, October 23, 2008 1:06 PM
>  To: undisclosed-recipients:
>  Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes
>
>  --------------------------------------------+---------------------------
>  --------------------------------------------+----
>   Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>       Type:  bug                             |       Status:  new
>   Priority:  major                           |    Milestone:
>  Component:  mpich2                          |   Resolution:
>   Keywords:                                  |
>  --------------------------------------------+---------------------------
>  --------------------------------------------+----
>
>
>  Comment (by Rajeev Thakur):
>
>   {{{
>
>   If you don't need to use Fortran, you can configure with --disable-f77.
>
>   Rajeev
>
>
>   >  Look like your fortran compiler failed some of the configure tests.
>   >  Could you send us your configure and make outputs as shown on
>   >  your screen (as stated in MPICH2 installer's guide) ?   I think
>   >  it will be helpful if you also send us the config.log (the  > one
>  generated by configure, not the output seen on your screen).
>   >
>   >  A.Chan
>
>   }}}
>
>  --
>  Ticket URL: <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
>
>  }}}
>

comment:13 Changed 5 years ago by Jayesh Krishna

 Hi,
  The reason your configure fails is due to the extra line feed character
('0a') present in the sizes of fortran types determined by configure
("$len" should be "340a" and not "340a 0a") . I don't have the extra line
feed in the lengths when running configure from Cygwin on my machine (I
use bash).
  Did you change any settings for the bash shell (.bashrc,
.bash_profile,...). Can you try running configure with the default bash
shell settings (You can try running bash shell from command prompt with
the "--norc" & "--noprofile" options) ?

Regards,
Jayesh

-----Original Message-----
From: owner-mpich2-bugs@mcs.anl.gov [mailto:owner-mpich2-bugs@mcs.anl.gov]
On Behalf Of mpich2
Sent: Thursday, October 23, 2008 9:19 PM
To: undisclosed-recipients:
Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes

--------------------------------------------+---------------------------
--------------------------------------------+----
 Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:  jayesh
     Type:  bug                             |       Status:  new
 Priority:  major                           |    Milestone:  mpich2-1.1a2
Component:  mpich2                          |   Resolution:
 Keywords:                                  |
--------------------------------------------+---------------------------
--------------------------------------------+----


Comment (by Rolf Maier):

 {{{

 Hello,
         first, sorry for being so tardy at answering, but I get too many
interruptions.
 Here is what I did:
 1. Following Jayesh Krishna request I added the line
         echo "$len" | xxd
 as line 25489 of the configure script.

 2. I realized that different runs of make produce output files of quite
different length, so I reextracted, and reintroduced fix 1. I am running
under a  bash shell, and I am enclosing the output of the configure and
make step  as  requested by Anthony Chan.

 Thanks for everybody's chipping in,
         Rolf


 mpich2 wrote:
 >

--------------------------------------------+-----------------------------
--
 >  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
 >      Type:  bug                             |       Status:  new
 >  Priority:  major                           |    Milestone:
 > Component:  mpich2                          |   Resolution:
 >  Keywords:                                  |
 >

--------------------------------------------+-----------------------------
--
 >
 >
 > Comment (by Jayesh Krishna):
 >
 >  {{{
 >
 >  Hi,
 >   Can you also update the configure (for MPICH2 1.0.8rc1) by adding
line
 >  "echo "$len" | xxd" as shown below before you run it?
 >
 >  ============================= modified configure script for 1.0.8rc1
>  ====================
 >    25484     #
 >    25485     # Take len and turn it into two hex digits (there are 8
 bits
 >  available
 >    25486     # in the built-in datatype handle for the length; see
 >    25487     # src/mpid/common/datatype/mpid_datatype.h).  This code is
 >  taken
 >    25488     # from the code in mpich2/configure.in
 >  ####################### ADD THIS LINE #######################
 >    25489     echo "$len" | xxd
 >  ####################### ADD THIS LINE #######################
 >    25490     if test "$len" -gt 255 ; then
 >    25491         { { $as_echo "$as_me:$LINENO: error: Type sizes
greater
 >  than 255 bytes are not supported (type INTEGER i  >  s $len bytes)"
>&5
 >    25492 $as_echo "$as_me: error: Type sizes greater than 255 bytes are
 not
 >  supported (type INTEGER is $len bytes)" >&2;}
 >    25493    { (exit 1); exit 1; }; }
 >    25494     fi
 >    25495     tmplen=$len
 >    25496     hexlen=""
 >    25497     while test $tmplen -gt 0 ; do
 >    25498         lowdigit=`expr $tmplen - 16 \* \( $tmplen / 16 \)`
 >    25499         case $lowdigit in
 >    25500         10) char=a ;;
 >    25501         11) char=b ;;
 >    25502         12) char=c ;;
 >    25503         13) char=d ;;
 >    25504         14) char=e ;;
 >    25505         15) char=f ;;
 >
 >  ============================= modified configure script for 1.0.8rc1
>  ====================  >  >  Regards,  >  Jayesh  >  >  -----Original
Message-----  >  From: owner-mpich2-bugs@mcs.anl.gov [mailto:owner-
mpich2-bugs@mcs.anl.gov]  >  On Behalf Of mpich2  >  Sent: Thursday,
October 23, 2008 1:06 PM  >  To: undisclosed-recipients:
 >  Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes  >  >
 --------------------------------------------+---------------------------
 >  --------------------------------------------+----
 >   Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
 >       Type:  bug                             |       Status:  new
 >   Priority:  major                           |    Milestone:
 >  Component:  mpich2                          |   Resolution:
 >   Keywords:                                  |
 >
 --------------------------------------------+---------------------------
 >  --------------------------------------------+----
 >
 >
 >  Comment (by Rajeev Thakur):
 >
 >   {{{
 >
 >   If you don't need to use Fortran, you can configure with
 --disable-f77.
 >
 >   Rajeev
 >
 >
 >   >  Look like your fortran compiler failed some of the configure
tests.
 >   >  Could you send us your configure and make outputs as shown on
 >   >  your screen (as stated in MPICH2 installer's guide) ?   I think
 >   >  it will be helpful if you also send us the config.log (the  > one
 >  generated by configure, not the output seen on your screen).
 >   >
 >   >  A.Chan
 >
 >   }}}
 >
 >  --
 >  Ticket URL:
 <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
 >
 >  }}}
 >
 }}}

--
Ticket URL: <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>

Changed 5 years ago by Jayesh Krishna

Added by email2trac

Changed 5 years ago by Rolf Maier

Added by email2trac

comment:14 Changed 5 years ago by Rolf Maier

Hello,
        Thank you for the advice I received yesterday. Unfortunately the
compilation
still fails the same way. Here is what I did:

1. Copy the old configure script to a save place.
2. Remove and recreate the directory mpich2-1.0.8rc1
3. bash --norc --noprofile
4. cd mpich2-1.0.8rc1
5. cp ../mpich2-1.0.8rc1_save/configure .
6. ./configure --prefix=/home/you/mpich2-install 2>&1 | tee c_plain_bash.txt
                                        (file attached)
7. make 2>&1 | tee m_plain_bash.txt     (file attached)

During step 7 I saw a line
0000000: 340d 0a
That looked ominous.

Since you are suspecting an environment problem I am adding some more files:

A. The shell variables and environment as seen under bash --norc --noprofile:
set > set_bash--norc--noprofile         (file attached)
set > env_bash--norc--noprofile                 (file attached)

B. The shell variables and environment as seen under bash as I use it:
$ set > set_my_bash                     (file attached)
$ env > env_my_bash                     (file attached)

These are perhaps more useful than my .bashrc and .profile,
which are also attached.

/etc/bash.bashrc contains only comments.

/etc/bash_completion has never been touched, ls -l gives
212 -rwxr-x---+ 1 maier Users 215739 Oct 29  2006 /etc/bash_completion*

Thanks again for your effort,
        Rolf

PS. I notice that I get each message from you (or someone else answering),
and the mpich site, so I am responding to both. Is this the correct way?

Jayesh Krishna wrote:
>  Hi,
>   The reason your configure fails is due to the extra line feed
> character ('0a') present in the sizes of fortran types determined by
> configure ("$len" should be "340a" and not "340a 0a") . I don't have the
> extra line feed in the lengths when running configure from Cygwin on my
> machine (I use bash).
>   Did you change any settings for the bash shell (.bashrc,
> .bash_profile,...). Can you try running configure with the default bash
> shell settings (You can try running bash shell from command prompt with
> the "--norc" & "--noprofile" options) ?
>
> Regards,
> Jayesh
>
> -----Original Message-----
> From: owner-mpich2-bugs@mcs.anl.gov
> [mailto:owner-mpich2-bugs@mcs.anl.gov] On Behalf Of mpich2
> Sent: Thursday, October 23, 2008 9:19 PM
> To: undisclosed-recipients:
> Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes
>
> --------------------------------------------+---------------------------
> --------------------------------------------+----
>  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:  jayesh
>      Type:  bug                             |       Status:  new
>  Priority:  major                           |    Milestone:  mpich2-1.1a2
> Component:  mpich2                          |   Resolution:
>  Keywords:                                  |
> --------------------------------------------+---------------------------
> --------------------------------------------+----
>
>
> Comment (by Rolf Maier):
>
>  {{{
>
>  Hello,
>          first, sorry for being so tardy at answering, but I get too
> many  interruptions.
>  Here is what I did:
>  1. Following Jayesh Krishna request I added the line
>          echo "$len" | xxd
>  as line 25489 of the configure script.
>
>  2. I realized that different runs of make produce output files of
> quite  different length, so I reextracted, and reintroduced fix 1. I am
> running  under a  bash shell, and I am enclosing the output of the
> configure and make step  as  requested by Anthony Chan.
>
>  Thanks for everybody's chipping in,
>          Rolf
>
>
>  mpich2 wrote:
>  >
>  --------------------------------------------+-------------------------------
>  >  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>  >      Type:  bug                             |       Status:  new
>  >  Priority:  major                           |    Milestone:
>  > Component:  mpich2                          |   Resolution:
>  >  Keywords:                                  |
>  >
>  --------------------------------------------+-------------------------------
>  >
>  >
>  > Comment (by Jayesh Krishna):
>  >
>  >  {{{
>  >
>  >  Hi,
>  >   Can you also update the configure (for MPICH2 1.0.8rc1) by adding line
>  >  "echo "$len" | xxd" as shown below before you run it?
>  >
>  >  ============================= modified configure script for
> 1.0.8rc1  >  ====================
>  >    25484     #
>  >    25485     # Take len and turn it into two hex digits (there are 8
>  bits
>  >  available
>  >    25486     # in the built-in datatype handle for the length; see
>  >    25487     # src/mpid/common/datatype/mpid_datatype.h).  This code is
>  >  taken
>  >    25488     # from the code in mpich2/configure.in
>  >  ####################### ADD THIS LINE #######################
>  >    25489     echo "$len" | xxd
>  >  ####################### ADD THIS LINE #######################
>  >    25490     if test "$len" -gt 255 ; then
>  >    25491         { { $as_echo "$as_me:$LINENO: error: Type sizes greater
>  >  than 255 bytes are not supported (type INTEGER i  >  s $len bytes)" >&5
>  >    25492 $as_echo "$as_me: error: Type sizes greater than 255 bytes are
>  not
>  >  supported (type INTEGER is $len bytes)" >&2;}
>  >    25493    { (exit 1); exit 1; }; }
>  >    25494     fi
>  >    25495     tmplen=$len
>  >    25496     hexlen=""
>  >    25497     while test $tmplen -gt 0 ; do
>  >    25498         lowdigit=`expr $tmplen - 16 \* \( $tmplen / 16 \)`
>  >    25499         case $lowdigit in
>  >    25500         10) char=a ;;
>  >    25501         11) char=b ;;
>  >    25502         12) char=c ;;
>  >    25503         13) char=d ;;
>  >    25504         14) char=e ;;
>  >    25505         15) char=f ;;
>  >
>  >  ============================= modified configure script for
> 1.0.8rc1  >  ====================  >  >  Regards,  >  Jayesh  >  >
> -----Original Message-----  >  From: owner-mpich2-bugs@mcs.anl.gov
> [mailto:owner-  mpich2-bugs@mcs.anl.gov]  >  On Behalf Of mpich2  >
> Sent: Thursday, October 23, 2008 1:06 PM  >  To: undisclosed-recipients:
>  >  Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes  >  >
>  --------------------------------------------+---------------------------
>  >  --------------------------------------------+----
>  >   Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>  >       Type:  bug                             |       Status:  new
>  >   Priority:  major                           |    Milestone:
>  >  Component:  mpich2                          |   Resolution:
>  >   Keywords:                                  |
>  >
>  --------------------------------------------+---------------------------
>  >  --------------------------------------------+----
>  >
>  >
>  >  Comment (by Rajeev Thakur):
>  >
>  >   {{{
>  >
>  >   If you don't need to use Fortran, you can configure with
>  --disable-f77.
>  >
>  >   Rajeev
>  >
>  >
>  >   >  Look like your fortran compiler failed some of the configure tests.
>  >   >  Could you send us your configure and make outputs as shown on
>  >   >  your screen (as stated in MPICH2 installer's guide) ?   I think
>  >   >  it will be helpful if you also send us the config.log (the  > one
>  >  generated by configure, not the output seen on your screen).
>  >   >
>  >   >  A.Chan
>  >
>  >   }}}
>  >
>  >  --
>  >  Ticket URL:
>  <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
>  >
>  >  }}}
>  >
>  }}}
>
> --
> Ticket URL: <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
>

Changed 5 years ago by Jayesh Krishna

Added by email2trac

comment:15 Changed 5 years ago by Jayesh Krishna

 Hi,
  A quick scan of the env variables show that the bash version in your
Cygwin machine is old (Not sure if that is causing the problem). Can you
try upgrading Cygwin packages to the latest version ?
  Let me look more into the info that you sent while you upgrade Cygwin.

(PS: When you reply to any e-mail just copy to "mpich2-maint" - you don't
have to reply to each dev)

Regards,
Jayesh

-----Original Message-----
From: Rolf Maier [mailto:maier@ucalgary.ca]
Sent: Saturday, October 25, 2008 4:54 PM
To: Jayesh Krishna
Cc: mpich2-maint@mcs.anl.gov
Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes

Hello,
        Thank you for the advice I received yesterday. Unfortunately the
compilation still fails the same way. Here is what I did:

1. Copy the old configure script to a save place.
2. Remove and recreate the directory mpich2-1.0.8rc1 3. bash --norc
--noprofile 4. cd mpich2-1.0.8rc1 5. cp ../mpich2-1.0.8rc1_save/configure
.
6. ./configure --prefix=/home/you/mpich2-install 2>&1 | tee
c_plain_bash.txt
                                        (file attached)
7. make 2>&1 | tee m_plain_bash.txt     (file attached)

During step 7 I saw a line
0000000: 340d 0a
That looked ominous.

Since you are suspecting an environment problem I am adding some more
files:

A. The shell variables and environment as seen under bash --norc
--noprofile:
set > set_bash--norc--noprofile         (file attached)
set > env_bash--norc--noprofile                 (file attached)

B. The shell variables and environment as seen under bash as I use it:
$ set > set_my_bash                     (file attached)
$ env > env_my_bash                     (file attached)

These are perhaps more useful than my .bashrc and .profile, which are also
attached.

/etc/bash.bashrc contains only comments.

/etc/bash_completion has never been touched, ls -l gives
212 -rwxr-x---+ 1 maier Users 215739 Oct 29  2006 /etc/bash_completion*

Thanks again for your effort,
        Rolf

PS. I notice that I get each message from you (or someone else answering),
and the mpich site, so I am responding to both. Is this the correct way?

Jayesh Krishna wrote:
>  Hi,
>   The reason your configure fails is due to the extra line feed
> character ('0a') present in the sizes of fortran types determined by
> configure ("$len" should be "340a" and not "340a 0a") . I don't have
> the extra line feed in the lengths when running configure from Cygwin
> on my machine (I use bash).
>   Did you change any settings for the bash shell (.bashrc,
> .bash_profile,...). Can you try running configure with the default
> bash shell settings (You can try running bash shell from command
> prompt with the "--norc" & "--noprofile" options) ?
>
> Regards,
> Jayesh
>
> -----Original Message-----
> From: owner-mpich2-bugs@mcs.anl.gov
> [mailto:owner-mpich2-bugs@mcs.anl.gov] On Behalf Of mpich2
> Sent: Thursday, October 23, 2008 9:19 PM
> To: undisclosed-recipients:
> Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes
>
> --------------------------------------------+-------------------------
> --------------------------------------------+--
> --------------------------------------------+----
>  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:  jayesh
>      Type:  bug                             |       Status:  new
>  Priority:  major                           |    Milestone:
mpich2-1.1a2
> Component:  mpich2                          |   Resolution:
>  Keywords:                                  |
> --------------------------------------------+-------------------------
> --------------------------------------------+--
> --------------------------------------------+----
>
>
> Comment (by Rolf Maier):
>
>  {{{
>
>  Hello,
>          first, sorry for being so tardy at answering, but I get too
> many  interruptions.
>  Here is what I did:
>  1. Following Jayesh Krishna request I added the line
>          echo "$len" | xxd
>  as line 25489 of the configure script.
>
>  2. I realized that different runs of make produce output files of
> quite  different length, so I reextracted, and reintroduced fix 1. I
> am running  under a  bash shell, and I am enclosing the output of the
> configure and make step  as  requested by Anthony Chan.
>
>  Thanks for everybody's chipping in,
>          Rolf
>
>
>  mpich2 wrote:
>  >
>
--------------------------------------------+-----------------------------
--
>  >  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>  >      Type:  bug                             |       Status:  new
>  >  Priority:  major                           |    Milestone:
>  > Component:  mpich2                          |   Resolution:
>  >  Keywords:                                  |
>  >
>
> --------------------------------------------+-------------------------
> ------
>  >
>  >
>  > Comment (by Jayesh Krishna):
>  >
>  >  {{{
>  >
>  >  Hi,
>  >   Can you also update the configure (for MPICH2 1.0.8rc1) by adding
line
>  >  "echo "$len" | xxd" as shown below before you run it?
>  >
>  >  ============================= modified configure script for
> 1.0.8rc1  >  ====================
>  >    25484     #
>  >    25485     # Take len and turn it into two hex digits (there are 8
>  bits
>  >  available
>  >    25486     # in the built-in datatype handle for the length; see
>  >    25487     # src/mpid/common/datatype/mpid_datatype.h).  This code
is
>  >  taken
>  >    25488     # from the code in mpich2/configure.in
>  >  ####################### ADD THIS LINE #######################
>  >    25489     echo "$len" | xxd
>  >  ####################### ADD THIS LINE #######################
>  >    25490     if test "$len" -gt 255 ; then
>  >    25491         { { $as_echo "$as_me:$LINENO: error: Type sizes
greater
>  >  than 255 bytes are not supported (type INTEGER i  >  s $len bytes)"
>&5
>  >    25492 $as_echo "$as_me: error: Type sizes greater than 255 bytes
are
>  not
>  >  supported (type INTEGER is $len bytes)" >&2;}
>  >    25493    { (exit 1); exit 1; }; }
>  >    25494     fi
>  >    25495     tmplen=$len
>  >    25496     hexlen=""
>  >    25497     while test $tmplen -gt 0 ; do
>  >    25498         lowdigit=`expr $tmplen - 16 \* \( $tmplen / 16 \)`
>  >    25499         case $lowdigit in
>  >    25500         10) char=a ;;
>  >    25501         11) char=b ;;
>  >    25502         12) char=c ;;
>  >    25503         13) char=d ;;
>  >    25504         14) char=e ;;
>  >    25505         15) char=f ;;
>  >
>  >  ============================= modified configure script for
> 1.0.8rc1  >  ====================  >  >  Regards,  >  Jayesh  >  >
> -----Original Message-----  >  From: owner-mpich2-bugs@mcs.anl.gov
> [mailto:owner-  mpich2-bugs@mcs.anl.gov]  >  On Behalf Of mpich2  >
> Sent: Thursday, October 23, 2008 1:06 PM  >  To: undisclosed-recipients:
>  >  Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes  >
> >
>
> --------------------------------------------+-------------------------
> --  >  --------------------------------------------+----
>  >   Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>  >       Type:  bug                             |       Status:  new
>  >   Priority:  major                           |    Milestone:
>  >  Component:  mpich2                          |   Resolution:
>  >   Keywords:                                  |
>  >
>
> --------------------------------------------+-------------------------
> --  >  --------------------------------------------+----
>  >
>  >
>  >  Comment (by Rajeev Thakur):
>  >
>  >   {{{
>  >
>  >   If you don't need to use Fortran, you can configure with
>  --disable-f77.
>  >
>  >   Rajeev
>  >
>  >
>  >   >  Look like your fortran compiler failed some of the configure
tests.
>  >   >  Could you send us your configure and make outputs as shown on
>  >   >  your screen (as stated in MPICH2 installer's guide) ?   I think
>  >   >  it will be helpful if you also send us the config.log (the  >
one
>  >  generated by configure, not the output seen on your screen).
>  >   >
>  >   >  A.Chan
>  >
>  >   }}}
>  >
>  >  --
>  >  Ticket URL:
>  <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
>  >
>  >  }}}
>  >
>  }}}
>
> --
> Ticket URL:
> <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
>

comment:16 Changed 5 years ago by Jayesh Krishna

Hi,
 Can you unset the CYGWIN environment variable in your shell and try
re-running your configure ?

================================================
> set | grep CYGWIN

CYGWIN='binmode tty ntsec notraverse'

> unset CYGWIN
================================================
 This setting could be the source of the problem (The CYGWIN env variable
is not set in my env. I guess this was set based on the file-type
selection done during Cygwin install).

Regards,
Jayesh


-----Original Message-----
From: owner-mpich2-bugs@mcs.anl.gov [mailto:owner-mpich2-bugs@mcs.anl.gov]
On Behalf Of mpich2
Sent: Monday, October 27, 2008 9:26 AM
To: undisclosed-recipients:
Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes

--------------------------------------------+---------------------------
--------------------------------------------+----
 Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:  jayesh
     Type:  bug                             |       Status:  new
 Priority:  major                           |    Milestone:  mpich2-1.1a2
Component:  mpich2                          |   Resolution:
 Keywords:                                  |
--------------------------------------------+---------------------------
--------------------------------------------+----


Comment (by Jayesh Krishna):

 {{{

  Hi,
   A quick scan of the env variables show that the bash version in your
Cygwin machine is old (Not sure if that is causing the problem). Can you
try upgrading Cygwin packages to the latest version ?
   Let me look more into the info that you sent while you upgrade Cygwin.

 (PS: When you reply to any e-mail just copy to "mpich2-maint" - you don't
have to reply to each dev)

 Regards,
 Jayesh

 -----Original Message-----
 From: Rolf Maier [mailto:maier@ucalgary.ca]
 Sent: Saturday, October 25, 2008 4:54 PM
 To: Jayesh Krishna
 Cc: mpich2-maint@mcs.anl.gov
 Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes

 Hello,
         Thank you for the advice I received yesterday. Unfortunately the
compilation still fails the same way. Here is what I did:

 1. Copy the old configure script to a save place.
 2. Remove and recreate the directory mpich2-1.0.8rc1 3. bash --norc
--noprofile 4. cd mpich2-1.0.8rc1 5. cp ../mpich2-1.0.8rc1_save/configure
.
 6. ./configure --prefix=/home/you/mpich2-install 2>&1 | tee
c_plain_bash.txt
                                         (file attached)
 7. make 2>&1 | tee m_plain_bash.txt     (file attached)

 During step 7 I saw a line
 0000000: 340d 0a
 That looked ominous.

 Since you are suspecting an environment problem I am adding some more
 files:

 A. The shell variables and environment as seen under bash --norc
 --noprofile:
 set > set_bash--norc--noprofile         (file attached)
 set > env_bash--norc--noprofile                 (file attached)

 B. The shell variables and environment as seen under bash as I use it:
 $ set > set_my_bash                     (file attached)
 $ env > env_my_bash                     (file attached)

 These are perhaps more useful than my .bashrc and .profile, which are
also  attached.

 /etc/bash.bashrc contains only comments.

 /etc/bash_completion has never been touched, ls -l gives
 212 -rwxr-x---+ 1 maier Users 215739 Oct 29  2006 /etc/bash_completion*

 Thanks again for your effort,
         Rolf

 PS. I notice that I get each message from you (or someone else
answering),  and the mpich site, so I am responding to both. Is this the
correct way?

 Jayesh Krishna wrote:
 >  Hi,
 >   The reason your configure fails is due to the extra line feed
 > character ('0a') present in the sizes of fortran types determined by  >
configure ("$len" should be "340a" and not "340a 0a") . I don't have  >
the extra line feed in the lengths when running configure from Cygwin  >
on my machine (I use bash).
 >   Did you change any settings for the bash shell (.bashrc,
 > .bash_profile,...). Can you try running configure with the default  >
bash shell settings (You can try running bash shell from command  > prompt
with the "--norc" & "--noprofile" options) ?
 >
 > Regards,
 > Jayesh
 >
 > -----Original Message-----
 > From: owner-mpich2-bugs@mcs.anl.gov
 > [mailto:owner-mpich2-bugs@mcs.anl.gov] On Behalf Of mpich2  > Sent:
Thursday, October 23, 2008 9:19 PM  > To: undisclosed-recipients:
 > Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes  >  >
--------------------------------------------+-------------------------
 > --------------------------------------------+--
 > --------------------------------------------+----
 >  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:  jayesh
 >      Type:  bug                             |       Status:  new
 >  Priority:  major                           |    Milestone:
 mpich2-1.1a2
 > Component:  mpich2                          |   Resolution:
 >  Keywords:                                  |
 > --------------------------------------------+-------------------------
 > --------------------------------------------+--
 > --------------------------------------------+----
 >
 >
 > Comment (by Rolf Maier):
 >
 >  {{{
 >
 >  Hello,
 >          first, sorry for being so tardy at answering, but I get too
 > many  interruptions.
 >  Here is what I did:
 >  1. Following Jayesh Krishna request I added the line
 >          echo "$len" | xxd
 >  as line 25489 of the configure script.
 >
 >  2. I realized that different runs of make produce output files of  >
quite  different length, so I reextracted, and reintroduced fix 1. I  > am
running  under a  bash shell, and I am enclosing the output of the  >
configure and make step  as  requested by Anthony Chan.
 >
 >  Thanks for everybody's chipping in,
 >          Rolf
 >
 >
 >  mpich2 wrote:
 >  >
 >

--------------------------------------------+-----------------------------
 --
 >  >  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
 >  >      Type:  bug                             |       Status:  new
 >  >  Priority:  major                           |    Milestone:
 >  > Component:  mpich2                          |   Resolution:
 >  >  Keywords:                                  |
 >  >
 >
 > --------------------------------------------+-------------------------
 > ------
 >  >
 >  >
 >  > Comment (by Jayesh Krishna):
 >  >
 >  >  {{{
 >  >
 >  >  Hi,
 >  >   Can you also update the configure (for MPICH2 1.0.8rc1) by adding
 line
 >  >  "echo "$len" | xxd" as shown below before you run it?
 >  >
 >  >  ============================= modified configure script for  >
1.0.8rc1  >  ====================
 >  >    25484     #
 >  >    25485     # Take len and turn it into two hex digits (there are 8
 >  bits
 >  >  available
 >  >    25486     # in the built-in datatype handle for the length; see
 >  >    25487     # src/mpid/common/datatype/mpid_datatype.h).  This code
 is
 >  >  taken
 >  >    25488     # from the code in mpich2/configure.in
 >  >  ####################### ADD THIS LINE #######################
 >  >    25489     echo "$len" | xxd
 >  >  ####################### ADD THIS LINE #######################
 >  >    25490     if test "$len" -gt 255 ; then
 >  >    25491         { { $as_echo "$as_me:$LINENO: error: Type sizes
 greater
 >  >  than 255 bytes are not supported (type INTEGER i  >  s $len bytes)"
 >&5
 >  >    25492 $as_echo "$as_me: error: Type sizes greater than 255 bytes
 are
 >  not
 >  >  supported (type INTEGER is $len bytes)" >&2;}
 >  >    25493    { (exit 1); exit 1; }; }
 >  >    25494     fi
 >  >    25495     tmplen=$len
 >  >    25496     hexlen=""
 >  >    25497     while test $tmplen -gt 0 ; do
 >  >    25498         lowdigit=`expr $tmplen - 16 \* \( $tmplen / 16 \)`
 >  >    25499         case $lowdigit in
 >  >    25500         10) char=a ;;
 >  >    25501         11) char=b ;;
 >  >    25502         12) char=c ;;
 >  >    25503         13) char=d ;;
 >  >    25504         14) char=e ;;
 >  >    25505         15) char=f ;;
 >  >
 >  >  ============================= modified configure script for  >
1.0.8rc1  >  ====================  >  >  Regards,  >  Jayesh  >  >  >
-----Original Message-----  >  From: owner-mpich2-bugs@mcs.anl.gov  >
[mailto:owner-  mpich2-bugs@mcs.anl.gov]  >  On Behalf Of mpich2  >  >
Sent: Thursday, October 23, 2008 1:06 PM  >  To: undisclosed-recipients:
 >  >  Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes  >
> >  >  >
--------------------------------------------+-------------------------
 > --  >  --------------------------------------------+----
 >  >   Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
 >  >       Type:  bug                             |       Status:  new
 >  >   Priority:  major                           |    Milestone:
 >  >  Component:  mpich2                          |   Resolution:
 >  >   Keywords:                                  |
 >  >
 >
 > --------------------------------------------+-------------------------
 > --  >  --------------------------------------------+----
 >  >
 >  >
 >  >  Comment (by Rajeev Thakur):
 >  >
 >  >   {{{
 >  >
 >  >   If you don't need to use Fortran, you can configure with
 >  --disable-f77.
 >  >
 >  >   Rajeev
 >  >
 >  >
 >  >   >  Look like your fortran compiler failed some of the configure
 tests.
 >  >   >  Could you send us your configure and make outputs as shown on
 >  >   >  your screen (as stated in MPICH2 installer's guide) ?   I think
 >  >   >  it will be helpful if you also send us the config.log (the  >
 one
 >  >  generated by configure, not the output seen on your screen).
 >  >   >
 >  >   >  A.Chan
 >  >
 >  >   }}}
 >  >
 >  >  --
 >  >  Ticket URL:
 >  <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
 >  >
 >  >  }}}
 >  >
 >  }}}
 >
 > --
 > Ticket URL:
 > <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
 >
 }}}

--
Ticket URL: <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>

Changed 5 years ago by Jayesh Krishna

Added by email2trac

comment:17 Changed 5 years ago by Jayesh Krishna

 Hi,
  Did unsetting the CYGWIN env var work for you ?

Regards,
Jayesh

-----Original Message-----
From: owner-mpich2-bugs@mcs.anl.gov [mailto:owner-mpich2-bugs@mcs.anl.gov]
On Behalf Of mpich2
Sent: Monday, October 27, 2008 9:35 AM
To: undisclosed-recipients:
Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes

--------------------------------------------+---------------------------
--------------------------------------------+----
 Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:  jayesh
     Type:  bug                             |       Status:  new
 Priority:  major                           |    Milestone:  mpich2-1.1a2
Component:  mpich2                          |   Resolution:
 Keywords:                                  |
--------------------------------------------+---------------------------
--------------------------------------------+----


Comment (by Jayesh Krishna):

 {{{

 Hi,
  Can you unset the CYGWIN environment variable in your shell and try
re-running your configure ?

 ================================================
 > set | grep CYGWIN

 CYGWIN='binmode tty ntsec notraverse'

 > unset CYGWIN
 ================================================
  This setting could be the source of the problem (The CYGWIN env variable
is not set in my env. I guess this was set based on the file-type
selection done during Cygwin install).

 Regards,
 Jayesh


 -----Original Message-----
 From: owner-mpich2-bugs@mcs.anl.gov
[mailto:owner-mpich2-bugs@mcs.anl.gov]
 On Behalf Of mpich2
 Sent: Monday, October 27, 2008 9:26 AM
 To: undisclosed-recipients:
 Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes

 --------------------------------------------+---------------------------
 --------------------------------------------+----
  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:  jayesh
      Type:  bug                             |       Status:  new
  Priority:  major                           |    Milestone:  mpich2-1.1a2
 Component:  mpich2                          |   Resolution:
  Keywords:                                  |
 --------------------------------------------+---------------------------
 --------------------------------------------+----


 Comment (by Jayesh Krishna):

  {{{

   Hi,
    A quick scan of the env variables show that the bash version in your
Cygwin machine is old (Not sure if that is causing the problem). Can you
try upgrading Cygwin packages to the latest version ?
    Let me look more into the info that you sent while you upgrade Cygwin.

  (PS: When you reply to any e-mail just copy to "mpich2-maint" - you
don't  have to reply to each dev)

  Regards,
  Jayesh

  -----Original Message-----
  From: Rolf Maier [mailto:maier@ucalgary.ca]
  Sent: Saturday, October 25, 2008 4:54 PM
  To: Jayesh Krishna
  Cc: mpich2-maint@mcs.anl.gov
  Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes

  Hello,
          Thank you for the advice I received yesterday. Unfortunately the
compilation still fails the same way. Here is what I did:

  1. Copy the old configure script to a save place.
  2. Remove and recreate the directory mpich2-1.0.8rc1 3. bash --norc
--noprofile 4. cd mpich2-1.0.8rc1 5. cp ../mpich2-1.0.8rc1_save/configure
.
  6. ./configure --prefix=/home/you/mpich2-install 2>&1 | tee
c_plain_bash.txt
                                          (file attached)
  7. make 2>&1 | tee m_plain_bash.txt     (file attached)

  During step 7 I saw a line
  0000000: 340d 0a
  That looked ominous.

  Since you are suspecting an environment problem I am adding some more
  files:

  A. The shell variables and environment as seen under bash --norc
  --noprofile:
  set > set_bash--norc--noprofile         (file attached)
  set > env_bash--norc--noprofile                 (file attached)

  B. The shell variables and environment as seen under bash as I use it:
  $ set > set_my_bash                     (file attached)
  $ env > env_my_bash                     (file attached)

  These are perhaps more useful than my .bashrc and .profile, which are
also  attached.

  /etc/bash.bashrc contains only comments.

  /etc/bash_completion has never been touched, ls -l gives
  212 -rwxr-x---+ 1 maier Users 215739 Oct 29  2006 /etc/bash_completion*

  Thanks again for your effort,
          Rolf

  PS. I notice that I get each message from you (or someone else
answering),  and the mpich site, so I am responding to both. Is this the
correct way?

  Jayesh Krishna wrote:
  >  Hi,
  >   The reason your configure fails is due to the extra line feed
  > character ('0a') present in the sizes of fortran types determined by
>  configure ("$len" should be "340a" and not "340a 0a") . I don't have  >
the extra line feed in the lengths when running configure from Cygwin  >
on my machine (I use bash).
  >   Did you change any settings for the bash shell (.bashrc,
  > .bash_profile,...). Can you try running configure with the default  >
bash shell settings (You can try running bash shell from command  > prompt
with the "--norc" & "--noprofile" options) ?
  >
  > Regards,
  > Jayesh
  >
  > -----Original Message-----
  > From: owner-mpich2-bugs@mcs.anl.gov
  > [mailto:owner-mpich2-bugs@mcs.anl.gov] On Behalf Of mpich2  > Sent:
 Thursday, October 23, 2008 9:19 PM  > To: undisclosed-recipients:
  > Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes  >  >
 --------------------------------------------+-------------------------
  > --------------------------------------------+--
  > --------------------------------------------+----
  >  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:  jayesh
  >      Type:  bug                             |       Status:  new
  >  Priority:  major                           |    Milestone:
  mpich2-1.1a2
  > Component:  mpich2                          |   Resolution:
  >  Keywords:                                  |
  > --------------------------------------------+-------------------------
  > --------------------------------------------+--
  > --------------------------------------------+----
  >
  >
  > Comment (by Rolf Maier):
  >
  >  {{{
  >
  >  Hello,
  >          first, sorry for being so tardy at answering, but I get too
  > many  interruptions.
  >  Here is what I did:
  >  1. Following Jayesh Krishna request I added the line
  >          echo "$len" | xxd
  >  as line 25489 of the configure script.
  >
  >  2. I realized that different runs of make produce output files of  >
quite  different length, so I reextracted, and reintroduced fix 1. I  > am
running  under a  bash shell, and I am enclosing the output of the  >
configure and make step  as  requested by Anthony Chan.
  >
  >  Thanks for everybody's chipping in,
  >          Rolf
  >
  >
  >  mpich2 wrote:
  >  >
  >


--------------------------------------------+-----------------------------
  --
  >  >  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
  >  >      Type:  bug                             |       Status:  new
  >  >  Priority:  major                           |    Milestone:
  >  > Component:  mpich2                          |   Resolution:
  >  >  Keywords:                                  |
  >  >
  >
  > --------------------------------------------+-------------------------
  > ------
  >  >
  >  >
  >  > Comment (by Jayesh Krishna):
  >  >
  >  >  {{{
  >  >
  >  >  Hi,
  >  >   Can you also update the configure (for MPICH2 1.0.8rc1) by adding
  line
  >  >  "echo "$len" | xxd" as shown below before you run it?
  >  >
  >  >  ============================= modified configure script for  >
 1.0.8rc1  >  ====================
  >  >    25484     #
  >  >    25485     # Take len and turn it into two hex digits (there are
8
  >  bits
  >  >  available
  >  >    25486     # in the built-in datatype handle for the length; see
  >  >    25487     # src/mpid/common/datatype/mpid_datatype.h).  This
code
  is
  >  >  taken
  >  >    25488     # from the code in mpich2/configure.in
  >  >  ####################### ADD THIS LINE #######################
  >  >    25489     echo "$len" | xxd
  >  >  ####################### ADD THIS LINE #######################
  >  >    25490     if test "$len" -gt 255 ; then
  >  >    25491         { { $as_echo "$as_me:$LINENO: error: Type sizes
  greater
  >  >  than 255 bytes are not supported (type INTEGER i  >  s $len
bytes)"
  >&5
  >  >    25492 $as_echo "$as_me: error: Type sizes greater than 255 bytes
  are
  >  not
  >  >  supported (type INTEGER is $len bytes)" >&2;}
  >  >    25493    { (exit 1); exit 1; }; }
  >  >    25494     fi
  >  >    25495     tmplen=$len
  >  >    25496     hexlen=""
  >  >    25497     while test $tmplen -gt 0 ; do
  >  >    25498         lowdigit=`expr $tmplen - 16 \* \( $tmplen / 16 \)`
  >  >    25499         case $lowdigit in
  >  >    25500         10) char=a ;;
  >  >    25501         11) char=b ;;
  >  >    25502         12) char=c ;;
  >  >    25503         13) char=d ;;
  >  >    25504         14) char=e ;;
  >  >    25505         15) char=f ;;
  >  >
  >  >  ============================= modified configure script for  >
 1.0.8rc1  >  ====================  >  >  Regards,  >  Jayesh  >  >  >
-----Original Message-----  >  From: owner-mpich2-bugs@mcs.anl.gov  >
 [mailto:owner-  mpich2-bugs@mcs.anl.gov]  >  On Behalf Of mpich2  >  >
 Sent: Thursday, October 23, 2008 1:06 PM  >  To: undisclosed-recipients:
  >  >  Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes  >
> >  >  >
 --------------------------------------------+-------------------------
  > --  >  --------------------------------------------+----
  >  >   Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
  >  >       Type:  bug                             |       Status:  new
  >  >   Priority:  major                           |    Milestone:
  >  >  Component:  mpich2                          |   Resolution:
  >  >   Keywords:                                  |
  >  >
  >
  > --------------------------------------------+-------------------------
  > --  >  --------------------------------------------+----
  >  >
  >  >
  >  >  Comment (by Rajeev Thakur):
  >  >
  >  >   {{{
  >  >
  >  >   If you don't need to use Fortran, you can configure with
  >  --disable-f77.
  >  >
  >  >   Rajeev
  >  >
  >  >
  >  >   >  Look like your fortran compiler failed some of the configure
  tests.
  >  >   >  Could you send us your configure and make outputs as shown on
  >  >   >  your screen (as stated in MPICH2 installer's guide) ?   I
think
  >  >   >  it will be helpful if you also send us the config.log (the  >
  one
  >  >  generated by configure, not the output seen on your screen).
  >  >   >
  >  >   >  A.Chan
  >  >
  >  >   }}}
  >  >
  >  >  --
  >  >  Ticket URL:
  >  <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
  >  >
  >  >  }}}
  >  >
  >  }}}
  >
  > --
  > Ticket URL:
  > <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
  >
  }}}

 --
 Ticket URL:
<https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>

 }}}

--
Ticket URL: <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>

Changed 5 years ago by Jayesh Krishna

Added by email2trac

comment:18 Changed 5 years ago by Rolf Maier

Hi,
        no, it's not the CYGWIN variable. Nor did a reinstall help, keeping the
old
changes. I should have said so earlier, but we are busy with meetings till at
least the end of the 3rd week November, so I have to stall on this. Please let
me know whether you want to close the thread, and how I can reactivate it when I
got time to try things again.
Thanks for your big patience and attention,
Rolf

mpich2 wrote:
> --------------------------------------------+-------------------------------
>  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:  jayesh
>      Type:  bug                             |       Status:  new
>  Priority:  major                           |    Milestone:  mpich2-1.1a2
> Component:  mpich2                          |   Resolution:
>  Keywords:                                  |
> --------------------------------------------+-------------------------------
>
>
> Comment (by Jayesh Krishna):
>
>  {{{
>
>   Hi,
>    Did unsetting the CYGWIN env var work for you ?
>
>  Regards,
>  Jayesh
>
>  -----Original Message-----
>  From: owner-mpich2-bugs@mcs.anl.gov [mailto:owner-mpich2-bugs@mcs.anl.gov]
>  On Behalf Of mpich2
>  Sent: Monday, October 27, 2008 9:35 AM
>  To: undisclosed-recipients:
>  Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes
>
>  --------------------------------------------+---------------------------
>  --------------------------------------------+----
>   Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:  jayesh
>       Type:  bug                             |       Status:  new
>   Priority:  major                           |    Milestone:  mpich2-1.1a2
>  Component:  mpich2                          |   Resolution:
>   Keywords:                                  |
>  --------------------------------------------+---------------------------
>  --------------------------------------------+----
>
>
>  Comment (by Jayesh Krishna):
>
>   {{{
>
>   Hi,
>    Can you unset the CYGWIN environment variable in your shell and try
>  re-running your configure ?
>
>   ================================================
>   > set | grep CYGWIN
>
>   CYGWIN='binmode tty ntsec notraverse'
>
>   > unset CYGWIN
>   ================================================
>    This setting could be the source of the problem (The CYGWIN env variable
>  is not set in my env. I guess this was set based on the file-type
>  selection done during Cygwin install).
>
>   Regards,
>   Jayesh
>
>
>   -----Original Message-----
>   From: owner-mpich2-bugs@mcs.anl.gov
>  [mailto:owner-mpich2-bugs@mcs.anl.gov]
>   On Behalf Of mpich2
>   Sent: Monday, October 27, 2008 9:26 AM
>   To: undisclosed-recipients:
>   Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes
>
>   --------------------------------------------+---------------------------
>   --------------------------------------------+----
>    Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:  jayesh
>        Type:  bug                             |       Status:  new
>    Priority:  major                           |    Milestone:  mpich2-1.1a2
>   Component:  mpich2                          |   Resolution:
>    Keywords:                                  |
>   --------------------------------------------+---------------------------
>   --------------------------------------------+----
>
>
>   Comment (by Jayesh Krishna):
>
>    {{{
>
>     Hi,
>      A quick scan of the env variables show that the bash version in your
>  Cygwin machine is old (Not sure if that is causing the problem). Can you
>  try upgrading Cygwin packages to the latest version ?
>      Let me look more into the info that you sent while you upgrade Cygwin.
>
>    (PS: When you reply to any e-mail just copy to "mpich2-maint" - you
>  don't  have to reply to each dev)
>
>    Regards,
>    Jayesh
>
>    -----Original Message-----
>    From: Rolf Maier [mailto:maier@ucalgary.ca]
>    Sent: Saturday, October 25, 2008 4:54 PM
>    To: Jayesh Krishna
>    Cc: mpich2-maint@mcs.anl.gov
>    Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes
>
>    Hello,
>            Thank you for the advice I received yesterday. Unfortunately the
>  compilation still fails the same way. Here is what I did:
>
>    1. Copy the old configure script to a save place.
>    2. Remove and recreate the directory mpich2-1.0.8rc1 3. bash --norc
>  --noprofile 4. cd mpich2-1.0.8rc1 5. cp ../mpich2-1.0.8rc1_save/configure
>  .
>    6. ./configure --prefix=/home/you/mpich2-install 2>&1 | tee
>  c_plain_bash.txt
>                                            (file attached)
>    7. make 2>&1 | tee m_plain_bash.txt     (file attached)
>
>    During step 7 I saw a line
>    0000000: 340d 0a
>    That looked ominous.
>
>    Since you are suspecting an environment problem I am adding some more
>    files:
>
>    A. The shell variables and environment as seen under bash --norc
>    --noprofile:
>    set > set_bash--norc--noprofile         (file attached)
>    set > env_bash--norc--noprofile                 (file attached)
>
>    B. The shell variables and environment as seen under bash as I use it:
>    $ set > set_my_bash                     (file attached)
>    $ env > env_my_bash                     (file attached)
>
>    These are perhaps more useful than my .bashrc and .profile, which are
>  also  attached.
>
>    /etc/bash.bashrc contains only comments.
>
>    /etc/bash_completion has never been touched, ls -l gives
>    212 -rwxr-x---+ 1 maier Users 215739 Oct 29  2006 /etc/bash_completion*
>
>    Thanks again for your effort,
>            Rolf
>
>    PS. I notice that I get each message from you (or someone else
>  answering),  and the mpich site, so I am responding to both. Is this the
>  correct way?
>
>    Jayesh Krishna wrote:
>    >  Hi,
>    >   The reason your configure fails is due to the extra line feed
>    > character ('0a') present in the sizes of fortran types determined by
>  >  configure ("$len" should be "340a" and not "340a 0a") . I don't have  >
>  the extra line feed in the lengths when running configure from Cygwin  >
>  on my machine (I use bash).
>    >   Did you change any settings for the bash shell (.bashrc,
>    > .bash_profile,...). Can you try running configure with the default  >
>  bash shell settings (You can try running bash shell from command  > prompt
>  with the "--norc" & "--noprofile" options) ?
>    >
>    > Regards,
>    > Jayesh
>    >
>    > -----Original Message-----
>    > From: owner-mpich2-bugs@mcs.anl.gov
>    > [mailto:owner-mpich2-bugs@mcs.anl.gov] On Behalf Of mpich2  > Sent:
>   Thursday, October 23, 2008 9:19 PM  > To: undisclosed-recipients:
>    > Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes  >  >
>   --------------------------------------------+-------------------------
>    > --------------------------------------------+--
>    > --------------------------------------------+----
>    >  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:  jayesh
>    >      Type:  bug                             |       Status:  new
>    >  Priority:  major                           |    Milestone:
>    mpich2-1.1a2
>    > Component:  mpich2                          |   Resolution:
>    >  Keywords:                                  |
>    > --------------------------------------------+-------------------------
>    > --------------------------------------------+--
>    > --------------------------------------------+----
>    >
>    >
>    > Comment (by Rolf Maier):
>    >
>    >  {{{
>    >
>    >  Hello,
>    >          first, sorry for being so tardy at answering, but I get too
>    > many  interruptions.
>    >  Here is what I did:
>    >  1. Following Jayesh Krishna request I added the line
>    >          echo "$len" | xxd
>    >  as line 25489 of the configure script.
>    >
>    >  2. I realized that different runs of make produce output files of  >
>  quite  different length, so I reextracted, and reintroduced fix 1. I  > am
>  running  under a  bash shell, and I am enclosing the output of the  >
>  configure and make step  as  requested by Anthony Chan.
>    >
>    >  Thanks for everybody's chipping in,
>    >          Rolf
>    >
>    >
>    >  mpich2 wrote:
>    >  >
>    >
>
>
>  --------------------------------------------+-----------------------------
>    --
>    >  >  Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>    >  >      Type:  bug                             |       Status:  new
>    >  >  Priority:  major                           |    Milestone:
>    >  > Component:  mpich2                          |   Resolution:
>    >  >  Keywords:                                  |
>    >  >
>    >
>    > --------------------------------------------+-------------------------
>    > ------
>    >  >
>    >  >
>    >  > Comment (by Jayesh Krishna):
>    >  >
>    >  >  {{{
>    >  >
>    >  >  Hi,
>    >  >   Can you also update the configure (for MPICH2 1.0.8rc1) by adding
>    line
>    >  >  "echo "$len" | xxd" as shown below before you run it?
>    >  >
>    >  >  ============================= modified configure script for  >
>   1.0.8rc1  >  ====================
>    >  >    25484     #
>    >  >    25485     # Take len and turn it into two hex digits (there are
>  8
>    >  bits
>    >  >  available
>    >  >    25486     # in the built-in datatype handle for the length; see
>    >  >    25487     # src/mpid/common/datatype/mpid_datatype.h).  This
>  code
>    is
>    >  >  taken
>    >  >    25488     # from the code in mpich2/configure.in
>    >  >  ####################### ADD THIS LINE #######################
>    >  >    25489     echo "$len" | xxd
>    >  >  ####################### ADD THIS LINE #######################
>    >  >    25490     if test "$len" -gt 255 ; then
>    >  >    25491         { { $as_echo "$as_me:$LINENO: error: Type sizes
>    greater
>    >  >  than 255 bytes are not supported (type INTEGER i  >  s $len
>  bytes)"
>    >&5
>    >  >    25492 $as_echo "$as_me: error: Type sizes greater than 255 bytes
>    are
>    >  not
>    >  >  supported (type INTEGER is $len bytes)" >&2;}
>    >  >    25493    { (exit 1); exit 1; }; }
>    >  >    25494     fi
>    >  >    25495     tmplen=$len
>    >  >    25496     hexlen=""
>    >  >    25497     while test $tmplen -gt 0 ; do
>    >  >    25498         lowdigit=`expr $tmplen - 16 \* \( $tmplen / 16 \)`
>    >  >    25499         case $lowdigit in
>    >  >    25500         10) char=a ;;
>    >  >    25501         11) char=b ;;
>    >  >    25502         12) char=c ;;
>    >  >    25503         13) char=d ;;
>    >  >    25504         14) char=e ;;
>    >  >    25505         15) char=f ;;
>    >  >
>    >  >  ============================= modified configure script for  >
>   1.0.8rc1  >  ====================  >  >  Regards,  >  Jayesh  >  >  >
>  -----Original Message-----  >  From: owner-mpich2-bugs@mcs.anl.gov  >
>   [mailto:owner-  mpich2-bugs@mcs.anl.gov]  >  On Behalf Of mpich2  >  >
>   Sent: Thursday, October 23, 2008 1:06 PM  >  To: undisclosed-recipients:
>    >  >  Subject: Re: [mpich2-maint] #226: MPICH2 Cygwin install failes  >
>  > >  >  >
>   --------------------------------------------+-------------------------
>    > --  >  --------------------------------------------+----
>    >  >   Reporter:  Rolf Maier <maier@ucalgary.ca>  |        Owner:
>    >  >       Type:  bug                             |       Status:  new
>    >  >   Priority:  major                           |    Milestone:
>    >  >  Component:  mpich2                          |   Resolution:
>    >  >   Keywords:                                  |
>    >  >
>    >
>    > --------------------------------------------+-------------------------
>    > --  >  --------------------------------------------+----
>    >  >
>    >  >
>    >  >  Comment (by Rajeev Thakur):
>    >  >
>    >  >   {{{
>    >  >
>    >  >   If you don't need to use Fortran, you can configure with
>    >  --disable-f77.
>    >  >
>    >  >   Rajeev
>    >  >
>    >  >
>    >  >   >  Look like your fortran compiler failed some of the configure
>    tests.
>    >  >   >  Could you send us your configure and make outputs as shown on
>    >  >   >  your screen (as stated in MPICH2 installer's guide) ?   I
>  think
>    >  >   >  it will be helpful if you also send us the config.log (the  >
>    one
>    >  >  generated by configure, not the output seen on your screen).
>    >  >   >
>    >  >   >  A.Chan
>    >  >
>    >  >   }}}
>    >  >
>    >  >  --
>    >  >  Ticket URL:
>    >  <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
>    >  >
>    >  >  }}}
>    >  >
>    >  }}}
>    >
>    > --
>    > Ticket URL:
>    > <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
>    >
>    }}}
>
>   --
>   Ticket URL:
>  <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
>
>   }}}
>
>  --
>  Ticket URL: <https://trac.mcs.anl.gov/projects/mpich2/ticket/226#comment:>
>
>  }}}
>

comment:19 Changed 5 years ago by jayesh

  • Resolution set to worksforme
  • Status changed from new to closed

Closing this ticket for now. We will re-open this ticket once the user has more time to debug his setup.

-Jayesh

Note: See TracTickets for help on using tickets.